Package be.fgov.ehealth.chap4.core.v1

# Class PackageType

java.lang.Object
be.fgov.ehealth.chap4.core.v1.SelfRefType
be.fgov.ehealth.chap4.core.v1.AbstractIdType
be.fgov.ehealth.chap4.core.v1.PackageType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class PackageType extends AbstractIdType implements Serializable
Information about the software package that is connectedto MyCareNet.

Java class for PackageType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PackageType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:chap4:core:v1}AbstractIdType">
           <sequence>
             <element name="License" type="{urn:be:fgov:ehealth:chap4:core:v1}LicenseType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LicenseType`
  `getLicense()`
  Each software package provider receives a license when he is granted access to MyCareNet.
  `void`
  `setLicense(LicenseType value)`
  Sets the value of the license property.

  ### Methods inherited from class be.fgov.ehealth.chap4.core.v1.AbstractIdType

  `getName, setName`

  ### Methods inherited from class be.fgov.ehealth.chap4.core.v1.SelfRefType

  `getId, getRef, setId, setRef`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackageType

    public PackageType()

- ## Method Details

  - ### getLicense

    public LicenseType getLicense()
    Each software package provider receives a license when he is granted access to MyCareNet. The package must provide this license in this element.
    Returns:
      possible object is `LicenseType`

  - ### setLicense

    public void setLicense(LicenseType value)
    Sets the value of the license property.
    Parameters:
      `value` - allowed object is `LicenseType`
    See Also:
      - `getLicense()`